Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
tenants
curl --request POST \ --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "Production Tenant", "product_config_id": "507f1f77bcf86cd799439030", "organization_email": "[email protected]", "organization_language": "en", "organization_country": "US", "organization_industry": "Technology" } '
{
  "id": "<string>",
  "create_date": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "region": "<string>",
  "organization_id": "<string>",
  "product_id": "<string>",
  "policy_id": "<string>"
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the owning organization that will create the tenant

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
name
string
required
Maximum string length: 512
product_config_id
string
required
Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
organization_email
string
required
Maximum string length: 512
organization_language
string
required
Maximum string length: 512
organization_country
string
required
Maximum string length: 512
organization_industry
string
required
Maximum string length: 512
policy_id
string
Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Tenant and associated organization successfully created. Returns the created tenant resource.

id
string
required
create_date
string<date-time>
required
name
string
required
region
string
required
organization_id
string

Tenant organization ID

product_id
string | null

Product ID (nullable)

policy_id
string | null

Policy ID (nullable)